Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179565 - Feature request: a Lorem Ipsum generator
Feature request: a Lorem Ipsum generator
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: CSS Visual Tools
-S1S-
PC Linux
: P3 (vote)
: 6.x
Assigned To: Jiri Kovalsky
issues@javaee
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 13:24 UTC by tirengarfio
Modified: 2010-02-23 22:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
new and changed files (24.27 KB, application/octet-stream)
2010-02-21 15:52 UTC, dynamite
Details
differences to existing files (4.23 KB, patch)
2010-02-21 15:53 UTC, dynamite
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tirengarfio 2010-01-15 13:24:04 UTC
Hi,

just that :)

Regards

Javi
Comment 1 Marek Fukala 2010-01-16 05:15:25 UTC
I would be nice to have it indeed. Maybe someone from the community would like to participate? Should be quite easy job.
Comment 2 Jiri Kovalsky 2010-01-20 03:19:16 UTC
Great, adding NETFIX keyword. The thing is to implement a popup menu action in Editors embedding HTML code that would either generate automatically or upon some customization dialog the Lorem Ipsum text so that developer does not have to think something up him/herself.

Any taker interested? Thanks!
Comment 3 dynamite 2010-02-02 16:12:33 UTC
I will netfix this.  I can find 7 paragraphs of "Lorem Ipsum".  I'll try an give the user a chance to choose quite how much they need.

Is it also reasonable to provide Lorem Ipsum through code templates as well as through a menu?
Comment 4 Marek Fukala 2010-02-03 00:42:15 UTC
LI code template doesn't make much sense to me, I would prefere Generate Code action. But if you create the LI customization dialog capable of inserting the LI text at the caret position in html code invoken upon editor popup action, I would be satisfied, adding other triggering points is simple then. Thanks in advance!
Comment 5 dynamite 2010-02-21 15:52:14 UTC
Created attachment 94373 [details]
new and changed files
Comment 6 dynamite 2010-02-21 15:53:05 UTC
Created attachment 94374 [details]
differences to existing files
Comment 7 dynamite 2010-02-21 16:00:46 UTC
I have coded a patch that uses a code generator to add up to 10 paragraphs of lorem ipsum to an HTML document.  Each paragraph is wrapped in <p></p> (default), <div></div> or <span></span> as selected in the dialog.  The dialog also indicates the number of words and characters (inc whitespace) that will be inserted into the document (excluding indentation and mark-up).  The code also attempts to appropriately indent the inserted text.

I noted that the XhtmlIndenterTest was failing although I didn't see how I could have caused this.  Is it a known failure?
Comment 8 dynamite 2010-02-21 16:07:41 UTC
I should also note that the lorem ipsum text was sourced from wikipedia and that this is noted in the Bundle.properties file that holds the text.  Does this need to be recorded anywhere else or is this okay?
Comment 9 Jiri Kovalsky 2010-02-22 06:16:04 UTC
Thanks Daniel. Marku, can you please review and integrate the patch?
Comment 10 Marek Fukala 2010-02-22 10:09:21 UTC
changeset:   160927:a9de64a99708
date:        Mon Feb 22 17:33:41 2010 +0100
summary:     #179565 -  Feature request: a Lorem Ipsum generator; made by dynamite@netbeans.org

http://hg.netbeans.org/web-main/rev/a9de64a99708

Integrated with some some smaller changes. Thank you dynamite for your time and work!

Just one notice - I belive you can use the editor indentation API to reindent a piece of code so lot of coding in LIG.findIndent() can be spared.

Feel free to do any changes - enhancements or bugfixes - in the related code.

Thank you once more!
Comment 11 Marek Fukala 2010-02-22 10:09:49 UTC
(In reply to comment #7)
> I noted that the XhtmlIndenterTest was failing although I didn't see how I
> could have caused this.  Is it a known failure?
Yes.
Comment 12 Jiri Kovalsky 2010-02-23 03:49:58 UTC
Thanks guys. BTW, I am finding out if we can use the text from Wikipedia because any 3rd party source code must either be approved via our internal open source review process or the contributor must sign our CA document.
Comment 13 Quality Engineering 2010-02-23 22:08:48 UTC
Integrated into 'main-golden', will be available in build *201002240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a9de64a99708
User: Marek Fukala <mfukala@netbeans.org>
Log: #179565 -  Feature request: a Lorem Ipsum generator; made by dynamite@netbeans.org


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo